<?php
/* ------------------------------------------------------------------------
# demo.php - Module - CBX Countdown Module
# ------------------------------------------------------------------------
# author    Joomboxr Team
# copyright Copyright (C) 2015 joomboxr.com. All Rights Reserved.
# @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
# Websites: http://joomboxr.com
# Technical Support:  Forum - http://joomboxr.com/product/cbx-countdown-module-joomla/
------------------------------------------------------------------------- */

defined('_JEXEC') or die('Restricted access');

jimport('joomla.form.formfield');
// Include the syndicate functions only once
require_once __DIR__ . '/../../helper.php';

/**
 * Form Field class for the Joomla Framework.
 *
 */
class JFormFieldDemo extends JFormField
{
    /**
     * Color picker form field type compatible with Joomla 1.6. Displays an Adobe type color picker panel, and returns a six-digit hex value, eg #cc99ff
     */
    protected $type = 'demo';

    /**
     */
    protected function getInput()
    {

        $doc   = JFactory::getDocument();
        $direction  = $doc->direction;
        JHtml::_('jquery.framework');
        $app        = JFactory::getApplication();
        $module_id  = intval($app->input->getInt('id'));

        $module     = JTable::getInstance('module', 'JTable', array());
        $module->id = $module_id;
        $module->load();
        $params     = new JRegistry($module->params);

        //common params
        //$cbtoday                            = date("Y-m-d H:i:s");
        $cbenddate                          = $params->get('cbcountdownenddate' );


           if($cbenddate == NULL)
              return '<div style="max-width:400px;" class="alert alert-danger" role="alert" >' . JText::_('MOD_CBXCOUNTDOWN_NODATE') . '</div>';



        //var_dump($cbenddate);

        $cbanimation                        = ($params->get('cbcountdownanimation' , 'fade'));
        $hour                               = ($params->get('hour' , 0));
        $min                                = ($params->get('min' , 0));

        $cbxlg_num_color                          = ($params->get('cbxlg_num_color' , '#333'));
        $cbxlg_res_num_color                      = ($params->get('cbxlg_res_num_color' , '#333'));
        $cbxlg_num_bg_color                       = ($params->get('cbxlg_num_bg_color' , '#eaeaea'));
        $cbxlg_text_color                         = ($params->get('cbxlg_text_color' , '#333'));
        $cbxlg_res_text_color                     = ($params->get('cbxlg_res_text_color' , '#333'));
        $cbxlg_text_bg_color                      = ($params->get('cbxlg_text_bg_color' , '#f5832b'));



        $layout = $params->get('layout', 'default');

        if (strpos($layout, ':') !== false){

            // Get the template and file name from the string
            $temp = explode(':', $layout);
            //$template = ($temp[0] == '_') ? $template : $temp[0];
            $layout = $temp[1];
            //$defaultLayout = ($temp[1]) ? $temp[1] : 'default';
        }
        //var_dump($layout);



        switch($layout){
            case 'default':
                //$doc = JFactory::getDocument();

                //$doc->addStyleSheet(JURI::root() . 'modules/mod_cbxcountdown/cbxcountdown/css/cbx-light-countdown.css');

                //$doc->addScript(JUri::root().'modules/mod_cbxcountdown/cbxcountdown/js/jquery.light.countdown.js');
                //$doc->addScript(JUri::root().'modules/mod_cbxcountdown/cbxcountdown/js/cbx-common-js.js');

	            //adding style
	            $doc->addStyleSheet(JURI::root() . 'modules/mod_cbxcountdown/cbxcountdown/css/mod_cbxcountdown_light.css');

				//adding js
	            $doc->addScript(JUri::root().'modules/mod_cbxcountdown/cbxcountdown/js/cbx-common-js.js');

	            $doc->addScript(JUri::root().'modules/mod_cbxcountdown/cbxcountdown/js/lightcountdown.js');
	            $doc->addScript(JUri::root().'modules/mod_cbxcountdown/cbxcountdown/js/lightcountdown_init.js');


                $kk_count_down = explode(' ', $cbenddate );


                $kk_count_down_date     = $kk_count_down[0];
                $kk_count_down_time     = $kk_count_down[1];
                $kk_count_down_date_    = explode('/', $kk_count_down_date );
                $kk_count_down_time_    = explode(':', $kk_count_down_time );


                $doc->addStyleDeclaration('
                    .cbfc-countdown-'. $module->id .' .cbfc-cd-background {
                            border: 1px solid '. $cbxlg_num_bg_color .';
                            background: none repeat scroll 0 0 '. $cbxlg_num_bg_color .';
                        }

                        .cbfc-cd-number .digit-'. $module->id .' {
                            color: '. $cbxlg_num_color .';
                        }

                        .cbfc-overlap-'. $module->id .' {
                            background-color: '. $cbxlg_text_bg_color .';
                            color: '. $cbxlg_text_color .';
                        }

                        .cbfc-light-countdowns-480 .cbfc-cd-number .digit-'. $module->id .' {
                            color:'. $cbxlg_res_text_color .';
                            width: 65%;
                        }

                        .cbfc-light-countdowns-480 .cbfc-overlap-'. $module->id .' {
                            color: ;
                        }

                    ');



                ob_start();
                ?>
                <!-- Countdown dashboard start -->
                <ul style="max-width:400px;" id="cbfc-countdowns-dashboard-<?php echo $module->id; ?>" class="cbfc-countdown cbfc-countdown-<?php echo $module->id; ?> countdowns-dashboard" data-date="<?php echo $kk_count_down_date; ?>" data-hour="<?php echo $kk_count_down_time_[0]; ?>" data-min="<?php echo $kk_count_down_time_[1]; ?>">

                    <li class="cbfc-number-box">
                        <div class="cbfc-cd-main-container">
                            <div class="cbfc-cd-background cbfc-cd-background-<?php echo $module->id; ?>>">
                                <div class="cbfc-cd-days cbfc-cd-number dash days_dash" data-color="<?php $cbxlg_num_color; ?>">
                                    <div class="digit digit-<?php echo $module->id; ?>">0</div>
                                    <div class="digit digit-<?php echo $module->id; ?>">0</div>
                                </div>
                                <div class="cbfc-overlap cbfc-overlap-<?php echo $module->id; ?>"><?php echo JText::_('MOD_CBXCOUNTDOWN_DAYS'); ?></div>
                            </div>
                        </div>
                    </li>

                    <li class="cbfc-number-box">
                        <div class="cbfc-cd-main-container">
                            <div class="cbfc-cd-background">
                                <div class="cbfc-cd-hours cbfc-cd-number dash hours_dash">
                                    <div class="digit digit-<?php echo $module->id; ?>">0</div>
                                    <div class="digit digit-<?php echo $module->id; ?>">0</div>
                                </div>

                                <div class="cbfc-overlap cbfc-overlap-<?php echo $module->id; ?>"><?php echo JText::_('MOD_CBXCOUNTDOWN_HOURS'); ?></div>
                            </div>
                        </div>
                    </li>

                    <li class="cbfc-number-box">
                        <div class="cbfc-cd-main-container">
                            <div class="cbfc-cd-background">
                                <div class="cbfc-cd-minutes cbfc-cd-number dash minutes_dash">
                                    <div class="digit digit-<?php echo $module->id; ?>">0</div>
                                    <div class="digit digit-<?php echo $module->id; ?>">0</div>
                                </div>

                                <div class="cbfc-overlap cbfc-overlap-<?php echo $module->id; ?>"><?php echo JText::_('MOD_CBXCOUNTDOWN_MINUTES'); ?></div>
                            </div>
                        </div>
                    </li>

                    <li class="cbfc-number-box">
                        <div class="cbfc-cd-main-container">
                            <div class="cbfc-cd-background">
                                <div class="cbfc-cd-seconds cbfc-cd-number dash seconds_dash">
                                    <div class="digit digit-<?php echo $module->id; ?>">0</div>
                                    <div class="digit digit-<?php echo $module->id; ?>">0</div>
                                </div>

                                <div class="cbfc-overlap cbfc-overlap-<?php echo $module->id; ?>"><?php echo JText::_('MOD_CBXCOUNTDOWN_SECONDS'); ?></div>
                            </div>
                        </div>
                    </li>

                </ul> <!-- End of Countdown Dashboard Div -->

                <?php
                $html = ob_get_contents();
                ob_end_clean();
                return $html;
                break;
            case 'circular':
                $doc = JFactory::getDocument();
                //$doc->addStyleSheet(JURI::root() . 'modules/mod_cbxcountdown/cbxcountdown/css/cbx-circular-countdown.css');

                //adding helper js file for circular countdown
                //$doc->addScript(JUri::root().'modules/mod_cbxcountdown/cbxcountdown/js/kinetic-v5.1.0.min.js');
                //$doc->addScript(JUri::root().'modules/mod_cbxcountdown/cbxcountdown/js/kinetic-v5.1.0.js');
                //adding cicrular countdown plugin, it's special customized version from the original
                //$doc->addScript(JUri::root().'modules/mod_cbxcountdown/cbxcountdown/js/cbx-circular-countdown.js');
                //out common js file for adding the circular countdown
                //$doc->addScript(JUri::root().'modules/mod_cbxcountdown/cbxcountdown/js/cbx-common-js.js');

	            $doc->addStyleSheet(JURI::root() . 'modules/mod_cbxcountdown/cbxcountdown/css/mod_cbxcountdown_circular.css');

				//adding helper js file for circular countdown
	            $doc->addScript(JUri::root().'modules/mod_cbxcountdown/cbxcountdown/js/kinetic-v5.1.0.min.js');
				//$doc->addScript(JUri::root().'modules/mod_cbxcountdown/cbxcountdown/js/kinetic-v5.1.0.js');

				//out common js file for adding the circular countdown
	            $doc->addScript(JUri::root().'modules/mod_cbxcountdown/cbxcountdown/js/cbx-common-js.js');

				//adding cicrular countdown plugin, it's special customized version from the original
	            $doc->addScript(JUri::root().'modules/mod_cbxcountdown/cbxcountdown/js/circularcountdown.js');
	            $doc->addScript(JUri::root().'modules/mod_cbxcountdown/cbxcountdown/js/circularcountdown_init.js');


                // Circular settings
                $cbxcir_canvas_color                           = htmlspecialchars($params->get('cbxcir_canvas_color' , '#ffffff'));
                $cbxcir_font_color                             = htmlspecialchars($params->get('cbxcir_font_color' , '#000'));
                $cbxcir_text_color                             = htmlspecialchars($params->get('cbxcir_text_color' , '#333'));

                $cbxcir_sec_color                              = htmlspecialchars($params->get('cbxcir_sec_color' , '#7995D5'));
                $cbxcir_mins_color                             = htmlspecialchars($params->get('cbxcir_mins_color' , '#ACC742'));
                $cbxcir_hours_color                            = htmlspecialchars($params->get('cbxcir_hours_color' , '#ECEFCB'));
                $cbxcir_days_color                             = htmlspecialchars($params->get('cbxcir_days_color' , '#FF9900'));


                /*FOR ALll*/
                $kk_count_down = explode(' ', $cbenddate );

                $kk_count_down_date = $kk_count_down[0];
                $kk_count_down_time = $kk_count_down[1];
                $kk_count_down_date_ = explode('/', $kk_count_down_date );
                $kk_count_down_time_ = explode(':', $kk_count_down_time );


                $cbxcir_canvas_rgbacolor = '';
                $cbxcir_canvas_rgbacolor = modCBXCountdown::hex2rgba($cbxcir_canvas_color, 0.1);




                $doc->addStyleDeclaration('
                        .cbfc-circular-countdown {
                            padding: 35px 0;
                            display: block;
                        }

                        .cbfc-circular-clock-canvas'. $module->id .' {
                            background-color:'. $cbxcir_canvas_rgbacolor .' ;
                        }

                        .cbfc-circular-text' . $module->id . '{
                            color:'. $cbxcir_font_color .' ;
                        }

                        .cbfc-circular-countdown-container-480 .cbfc-circular-text'. $module->id .' .cbfc-circular-type-time {
                            color:'. $cbxcir_text_color .';
                            font-size: 12px;
                        }

                    ');

                ob_start();
                ?>
                <!-- Circular countdown -->
                <div style="max-width:400px;" id="cbfc-circular<?php echo $module->id; ?>" class="cbfc-circular-countdown cbfc-circular-countdown-container" data-module-id="<?php echo $module->id;?>" data-date="<?php echo $kk_count_down_date; ?>" data-hour="<?php echo $kk_count_down_time_[0]; ?>" data-min="<?php echo $kk_count_down_time_[1]; ?>" data-sec-border-clr="<?php echo $cbxcir_sec_color; ?>" data-min-border-clr="<?php echo $cbxcir_mins_color;?>" data-hour-border-clr="<?php echo $cbxcir_hours_color; ?>" data-days-border-clr="<?php echo $cbxcir_days_color; ?>">
                    <div class="cbfc-clock-container clock">
                        <div class="cbfc-circular-clock-item cbfc-circular-clock-days cbfc-circular-countdown-time-value">
                            <div class="cbfc-wrap">
                                <div class="cbfc-circular-inner">
                                    <div id="cbfc-circular-canvas-days<?php echo $module->id; ?>" class="cbfc-circular-clock-canvas cbfc-circular-clock-canvas<?php echo $module->id; ?>"></div>

                                    <div class="cbfc-circular-text cbfc-circular-text<?php echo $module->id; ?>">
                                        <p class="cbfc-circular-val">0</p>
                                        <p class="cbfc-circular-type-days cbfc-circular-type-time"><?php echo JText::_('MOD_CBXCOUNTDOWN_DAYS'); ?></p>
                                    </div><!-- /.text -->
                                </div><!-- /.inner -->
                            </div><!-- /.cbfc-wrap -->
                        </div><!-- /.clock-item -->

                        <div class="cbfc-circular-clock-item cbfc-circular-clock-hours cbfc-circular-countdown-time-value">
                            <div class="cbfc-wrap">
                                <div class="cbfc-circular-inner ">
                                    <div id="cbfc-circular-canvas-hours<?php echo $module->id; ?>" class="cbfc-circular-clock-canvas cbfc-circular-clock-canvas<?php echo $module->id; ?>"></div>

                                    <div class="cbfc-circular-text cbfc-circular-text<?php echo $module->id; ?>">
                                        <p class="cbfc-circular-val">0</p>
                                        <p class="cbfc-circular-type-hours cbfc-circular-type-time"><?php echo JText::_('MOD_CBXCOUNTDOWN_HOURS'); ?></p>
                                    </div><!-- /.text -->
                                </div><!-- /.inner -->
                            </div><!-- /.cbfc-wrap -->
                        </div><!-- /.clock-item -->

                        <div class="cbfc-circular-clock-item cbfc-circular-clock-minutes cbfc-circular-countdown-time-value">
                            <div class="cbfc-wrap">
                                <div class="cbfc-circular-inner">
                                    <div id="cbfc-circular-canvas-minutes<?php echo $module->id; ?>" class="cbfc-circular-clock-canvas cbfc-circular-clock-canvas<?php echo $module->id; ?>"></div>

                                    <div class="cbfc-circular-text cbfc-circular-text<?php echo $module->id; ?>">
                                        <p class="cbfc-circular-val">0</p>
                                        <p class="cbfc-circular-type-minutes cbfc-circular-type-time"><?php echo JText::_('MOD_CBXCOUNTDOWN_MINUTES'); ?></p>
                                    </div><!-- /.text -->
                                </div><!-- /.inner -->
                            </div><!-- /.cbfc-wrap -->
                        </div><!-- /.clock-item -->

                        <div class="cbfc-circular-clock-item cbfc-circular-clock-seconds cbfc-circular-countdown-time-value">
                            <div class="cbfc-wrap">
                                <div class="cbfc-circular-inner">
                                    <div id="cbfc-circular-canvas-seconds<?php echo $module->id; ?>" class="cbfc-circular-clock-canvas cbfc-circular-clock-canvas<?php echo $module->id; ?>"></div>

                                    <div class="cbfc-circular-text cbfc-circular-text<?php echo $module->id; ?>">
                                        <p class="cbfc-circular-val">0</p>
                                        <p class="cbfc-circular-type-seconds cbfc-circular-type-time"><?php echo JText::_('MOD_CBXCOUNTDOWN_SECONDS'); ?></p>
                                    </div><!-- /.text -->
                                </div><!-- /.inner -->
                            </div><!-- /.cbfc-wrap -->
                        </div><!-- /.clock-item -->
                    </div><!-- /.clock -->
                </div><!-- /.countdown-cbfc-wrapper --><!-- End Circular countdown -->
                <div style="float: none;clear: both"></div>


                <?php
                $html = ob_get_contents();
                ob_end_clean();
                return $html;
                break;
            case 'kkcoundown':

                //KK COUNTDOWN Settings

/*                $countdown_font_size                                = htmlspecialchars($params->get('countdown_font_size' ,'30'));
                  $countdown_color                                    = htmlspecialchars($params->get('countdown_color' , '#3767b9'));
                  $countdown_text_color                               = htmlspecialchars($params->get('countdown_text_color' , '#666333'));*/


                //KK COUNTDOWN Settings
                $cbxkk_font_size                                = htmlspecialchars($params->get('cbxkk_font_size' ,'30'));
                $cbxkk_color                                    = htmlspecialchars($params->get('cbxkk_color' , '#3767b9'));
                $cbxkk_text_color                               = htmlspecialchars($params->get('cbxkk_text_color' , '#666333'));

                //adding translation to javascript
                JText::script('MOD_CBXCOUNTDOWN_DAYS_SMALL');
                JText::script('MOD_CBXCOUNTDOWN_DAY_SMALL');
                JText::script('MOD_CBXCOUNTDOWN_SECOND_SMALL');
                JText::script('MOD_CBXCOUNTDOWN_MINUTE_SMALL');
                JText::script('MOD_CBXCOUNTDOWN_HOUR_SMALL');




                //$doc->addScript(JUri::root().'modules/mod_cbxcountdown/cbxcountdown/js/kkcountdown.js');
                //$doc->addScript(JUri::root().'modules/mod_cbxcountdown/cbxcountdown/js/cbx-common-js.js');
	            $doc->addScript(JUri::root().'modules/mod_cbxcountdown/cbxcountdown/js/cbx-common-js.js');

	            $doc->addScript(JUri::root().'modules/mod_cbxcountdown/cbxcountdown/js/kkcountdown.js');
	            $doc->addScript(JUri::root().'modules/mod_cbxcountdown/cbxcountdown/js/kkcountdown_init.js');

                $doc->addStyleDeclaration('

                     .cbfc-kkcountdown {
                        margin: 30px 0;
                        text-align: center;
                     }

                    .kkcountdown-box span.kkc-days,
                    .kkcountdown-box span.kkc-hours,
                    .kkcountdown-box span.kkc-min,
                    .kkcountdown-box span.kkc-sec
                     {
                        font-family:"Helvetica Neue", Helvetica, Arial, sans-serif;
                        font-weight:400;
                     }


                    .cbfc-kkcountdown'. $module->id .' .kkcountdown-box {
                        font-weight: 300;
                        font-size: '. $cbxkk_font_size .'px;
                        color: '. $cbxkk_color .';
                    }

                    .cbfc-kkcountdown'. $module->id .' .kkcountdown-box .kkc-days-text,
                    .cbfc-kkcountdown'. $module->id .' .kkcountdown-box .kkc-hours-text,
                    .cbfc-kkcountdown'. $module->id .' .kkcountdown-box .kkc-min-text,
                    .cbfc-kkcountdown'. $module->id .' .kkcountdown-box .kkc-sec-text {
                        color:'. $cbxkk_text_color .';
                    }


                    @media (max-width: 767px) {

                        .cbfc-kkcountdown'. $module->id .' .kkcountdown-box {
                            font-size: 43px;
                        }

                    }

                    @media (max-width: 480px) {

                        .cbfc-kkcountdown'. $module->id .' .kkcountdown-box {
                            font-size: 21px;
                        }

                    }

                ');



                $kk_count_down = explode(' ', $cbenddate );
                $kk_count_down_date = $kk_count_down[0];
                $kk_count_down_time = $kk_count_down[1];
                $kk_count_down_date_ = explode('/', $kk_count_down_date );
                $kk_count_down_time_ = explode(':', $kk_count_down_time );




                ob_start();
                ?>
                <div style="max-width:400px;" class="cbfc-kkcountdown cbfc-kkcountdown<?php echo $module->id; ?>" data-time="<?php echo mktime( $kk_count_down_time_[0],  $kk_count_down_time_[1],  $kk_count_down_time_[2], $kk_count_down_date_[0], $kk_count_down_date_[1], $kk_count_down_date_[2] ); ?>"> </div><!-- //End of KKCountdown Div -->
                <?php
                $html = ob_get_contents();
                ob_end_clean();
                return $html;
                break;
        }






    }
}
